Bug 306965

Summary: Various resource config windows have no icon
Product: Akonadi Reporter: markuss <kamikazow>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: minor CC: winter
Priority: NOR    
Version: 4.9   
Target Milestone: ---   
Platform: unspecified   
OS: Linux   
Latest Commit: Version Fixed In: 4.10
Bug Depends on:    
Bug Blocks: 303462    
Attachments: Exemplary screenshot

Description markuss 2012-09-18 01:53:37 UTC
Various resource config windows have no icon.
So far I could confirm missing icons for:
Address book resource
Birthday resource
Bookmarks resource
Calendar resource
DAV resource
Google resource (Addresses/Contacts)
IMAP resource
KDE resource
KMail resource
Kolab resource
Microblog resource
Open-Xchange resource
Usenet resource
VCard folder resource

Reproducible: Always



Expected Results:  
Use the icons defined in the .desktop files also for the config windows
Comment 1 Allen Winter 2012-10-06 19:42:23 UTC
so on the config dialogs themselves?

I'm not sure I fully understand what you are asking for.  Could you make a mockup for one such dialog?
Comment 2 markuss 2012-10-07 01:43:12 UTC
Created attachment 74381 [details]
Exemplary screenshot

See screenshot
Comment 3 Allen Winter 2012-10-07 21:37:09 UTC
yep, thanks.
Comment 4 Allen Winter 2012-10-07 22:18:17 UTC
Git commit 363bad08eb37940b7a0b7d9c8edbfd4573fbe3e8 by Allen Winter.
Committed on 07/10/2012 at 23:34.
Pushed by winterz into branch 'master'.

Remove the "..." (elipsis) from the end of the window captions.
Window captions shouldn't trail with elipsis.

Also give the window an icon. part of the fix for bug 306965

M  +2    -1    resources/imap/imapresource.cpp
M  +2    -1    resources/imap/setupserver.cpp

http://commits.kde.org/kdepim-runtime/363bad08eb37940b7a0b7d9c8edbfd4573fbe3e8
Comment 5 Allen Winter 2012-10-07 22:31:48 UTC
Git commit c3441927a06798eb073825a914970dcd358045a7 by Allen Winter.
Committed on 08/10/2012 at 00:31.
Pushed by winterz into branch 'master'.

give the config dialog window an icon

M  +1    -0    resources/birthdays/configdialog.cpp

http://commits.kde.org/kdepim-runtime/c3441927a06798eb073825a914970dcd358045a7
Comment 6 Allen Winter 2012-10-07 22:43:17 UTC
Git commit 9079df9f69ace29b82d1baa6faed4d1d1f3af640 by Allen Winter.
Committed on 08/10/2012 at 00:35.
Pushed by winterz into branch 'master'.

add an icon for the window title

M  +2    -2    resources/contacts/settingsdialog.cpp

http://commits.kde.org/kdepim-runtime/9079df9f69ace29b82d1baa6faed4d1d1f3af640
Comment 7 Allen Winter 2012-10-07 23:19:53 UTC
We need an icon for DAV groupware -- anyone have ideas of an icon we can use for DAV?
Comment 8 markuss 2012-10-08 00:26:21 UTC
(In reply to comment #7)
> We need an icon for DAV groupware -- anyone have ideas of an icon we can use
> for DAV?

Personally I have no problem with the current "folder-remote" icon, although "resource-group" or "resource-calendar-child" could work as well.

Oh, and btw: Maybe change the Birthday resource's current cookie icon to "view-calendar-birthday".

Could you also please backport the changes to 4.9? (Excluding the string changes,of course.)
Comment 9 Allen Winter 2012-10-20 20:04:28 UTC
Git commit 35ca51e262a05f876d6ffd55d7baaca29d0f345a by Allen Winter.
Committed on 20/10/2012 at 22:02.
Pushed by winterz into branch 'KDE/4.9'.

Put window icons on the config windows
The fixes most, but not all, mentioned in the bug report.

M  +1    -1    resources/birthdays/birthdaysresource.desktop
M  +1    -0    resources/birthdays/configdialog.cpp
M  +1    -0    resources/dav/resource/configdialog.cpp
M  +1    -0    resources/dav/resource/setupwizard.cpp
M  +1    -0    resources/imap/imapresource.cpp
M  +1    -0    resources/kdeaccounts/kdeaccountsresource.cpp
M  +1    -0    resources/kolabproxy/kolabproxyresource.cpp
M  +1    -0    resources/maildir/maildirresource.cpp
M  +1    -0    resources/mbox/mboxresource.cpp
M  +1    -0    resources/microblog/microblog.cpp
M  +1    -0    resources/mixedmaildir/mixedmaildirresource.cpp
M  +3    -1    resources/nntp/nntpresource.cpp
M  +1    -0    resources/openxchange/openxchangeresource.cpp
M  +1    -0    resources/vcard/vcardresource.cpp
M  +1    -0    resources/vcarddir/vcarddirresource.cpp

http://commits.kde.org/kdepim-runtime/35ca51e262a05f876d6ffd55d7baaca29d0f345a
Comment 10 Allen Winter 2012-10-20 20:15:12 UTC
Git commit 08dcaa460854b92a7d8aca9130893c773d976798 by Allen Winter.
Committed on 20/10/2012 at 22:14.
Pushed by winterz into branch 'master'.

more window icons for resource config dialogs

M  +1    -0    resources/icaldir/icaldirresource.cpp
M  +1    -1    resources/imap/imapresource.cpp

http://commits.kde.org/kdepim-runtime/08dcaa460854b92a7d8aca9130893c773d976798
Comment 11 Allen Winter 2012-10-20 20:42:06 UTC
I think I got all the ones you mentioned (except bookmarks )

please double check what else I may have missed.
Comment 12 markuss 2012-12-06 01:17:06 UTC
(In reply to comment #11)
> I think I got all the ones you mentioned (except bookmarks )
> 
> please double check what else I may have missed.

At least Address book resource is not fixed in 4.9.4
Comment 13 Allen Winter 2012-12-06 23:22:15 UTC
In 4.10beta2:

personal contacts -> fixed
google contacts -> not fixed
kaddressbook (traditional) -> not fixed

I'll try to fix
Comment 14 Allen Winter 2012-12-06 23:52:04 UTC
Git commit 6e2333b9a5d43944ae499096bcd4a4372a3c2286 by Allen Winter.
Committed on 07/12/2012 at 00:38.
Pushed by winterz into branch 'master'.

Give icons to the configuration windows
FIXED-IN: 4.10
-> Backport to the 4.9 branch if the Release Team decides to have 4.9.5
-> Markus: feel free to reopen if you find more instances

M  +1    -0    resources/google/calendar/calendarresource.cpp
M  +1    -0    resources/google/contacts/contactsresource.cpp
M  +1    -0    resources/kabc/kabcresource.cpp
M  +1    -0    resources/kabc/kresourceassistant.cpp

http://commits.kde.org/kdepim-runtime/6e2333b9a5d43944ae499096bcd4a4372a3c2286
Comment 15 markuss 2012-12-08 02:20:55 UTC
4.9.5 announced for first week of January, ie. before 4.10.0. Change "Version fixed in" to reflect this.
Comment 16 Allen Winter 2012-12-08 15:31:12 UTC
Git commit b5e76496ce1fb906057094c9fed1ae04a8d6e39f by Allen Winter.
Committed on 07/12/2012 at 00:38.
Pushed by winterz into branch 'KDE/4.9'.

Give icons to the configuration windows
FIXED-IN: 4.10
-> Backport to the 4.9 branch if the Release Team decides to have 4.9.5
-> Markus: feel free to reopen if you find more instances
(cherry picked from commit 6e2333b9a5d43944ae499096bcd4a4372a3c2286)

M  +1    -0    resources/google/calendar/calendarresource.cpp
M  +1    -0    resources/google/contacts/contactsresource.cpp
M  +1    -0    resources/kabc/kabcresource.cpp
M  +1    -0    resources/kabc/kresourceassistant.cpp

http://commits.kde.org/kdepim-runtime/b5e76496ce1fb906057094c9fed1ae04a8d6e39f